Package org.springframework.aot.hint.predicate

# Class ReflectionHintsPredicates.ConstructorHintPredicate

java.lang.Object
org.springframework.aot.hint.predicate.ReflectionHintsPredicates.ExecutableHintPredicate<Constructor<?>>
org.springframework.aot.hint.predicate.ReflectionHintsPredicates.ConstructorHintPredicate

All Implemented Interfaces:
  `Predicate<RuntimeHints>`

Enclosing class:
  ReflectionHintsPredicates

public static class ReflectionHintsPredicates.ConstructorHintPredicate extends ReflectionHintsPredicates.ExecutableHintPredicate<Constructor<?>>

## Field Summary

### Fields inherited from class org.springframework.aot.hint.predicate.ReflectionHintsPredicates.ExecutableHintPredicate

`executable, executableMode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(RuntimeHints runtimeHints)`

### Methods inherited from class org.springframework.aot.hint.predicate.ReflectionHintsPredicates.ExecutableHintPredicate

`introspect, invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Method Details

### test

public boolean test(RuntimeHints runtimeHints)